# $Revision: 1.21 $, $Date: 2002/10/03 11:08:21 $
#
# Conditional build:
# _with_tests - perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Devel
%define	pnam	Memo
Summary:	Devel::Memo - memoize function calls
Summary(pl):	Devel::Memo - zapamitujcy wywoania funkcji
Name:		perl-Devel-Memo
Version:	0.004
Release:	10
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_with_tests:1}%{!?_with_tests:0}
BuildRequires:	perl-FreezeThaw
BuildRequires:	perl-Test-Helper
%endif
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Devel::Memo permits you to create function objects (i.e. blessed
code-refs which can be bound to subroutine cells) which are called
exactly like a regular subroutine (which you supply), but which
memoize their arguments and results with each invocation, so that
unnecessary recomputation is avoided. Internally, the FreezeThaw
module is used to assist in the caching.

%description -l pl
Modu Devel::Memo umoliwia tworzenie obiektw funkcji (czyli
pobogosawionych code-refs, ktre mog by przypisane do komrek
procedur), ktre s wywoywane dokadnie tak jak normalne procedury
(ktre si podaje), ale przy kadym wywoaniu zapamituj parametry i
wyniki, zapobiegajc niepotrzebnym ponownym obliczeniom. Wewntrznie
uywany jest modu FreezeThaw, pomagajcy przy buforowaniu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO CHANGES
%{perl_sitelib}/Devel/Memo.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Devel-Memo.spec,v $
Revision 1.21  2002/10/03 11:08:21  qboosh
- pl description, release 10

Revision 1.20  2002/09/21 20:58:57  radek
- informative description
- added tests (default off, perl-Test-Helper not packaged yet)
- release 9
STBR

Revision 1.19  2002/09/20 20:05:02  radek
- more informative summary, new %doc

Revision 1.18  2002/07/10 08:47:01  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:30:58  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:11:33  depesz
automatic: Source location unfied, Relase Up

Revision 1.13  2002/02/10 15:25:32  depesz
adapterized

Revision 1.12  2002/01/18 02:14:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:16  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:08:01  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2000/12/31 00:45:38  kloczek
- release 4: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:34  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.2  1999/11/04 21:24:39  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 18:15:16  pius
- initial release
